Configure a deposit refund account number for your integration
https://api.propexo.com/v1/deposit-summaries/yardi/deposit-refund-account-number/Configure a deposit refund account number for your integration to track which charges correspond to deposits. Since this account number varies by customer and integration, you'll need to consult with your customer to determine the correct value for this endpoint.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The deposit refund account number. You'll likely want to work with your customer to find this value.
Possible values: non-empty
Response
Successful response
result objectrequired
The unique identifier for the deposit refund account number
The date the deposit refund account number was created
The date the deposit refund account number was last updated
The Propexo unique identifier for the integration
The deposit refund account number. Note: Must match an account number from an existing financial account record in Propexo for this integration.
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/deposit-summaries/yardi/deposit-refund-account-number/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"x_account_number": "string"
}'
{
"result": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"integration_id": "string",
"account_number": "string"
}
}